List DLQ messages
List and paginate through all messages currently in the DLQ
curl --request GET \
--url https://qstash-{region}.upstash.io/v2/dlq \
--header 'Authorization: Bearer <token>'{
"cursor": "<string>",
"messages": [
{
"messageId": "<string>",
"url": "<string>",
"topicName": "<string>",
"endpointName": "<string>",
"method": "<string>",
"header": "<string>",
"body": "<string>",
"bodyBase64": "<string>",
"maxRetries": 123,
"notBefore": 123,
"createdAt": 123,
"callback": "<string>",
"failureCallback": "<string>",
"queueName": "<string>",
"scheduleId": "<string>",
"callerIP": "<string>",
"label": "<string>",
"labels": [
"<string>"
],
"flowControlKey": "<string>",
"rate": 123,
"period": 123,
"parallelism": 123,
"responseStatus": 123,
"responseHeader": "<string>",
"responseBody": "<string>",
"responseBodyBase64": "<string>"
}
]
}Authorization
Bearer authentication header of the form Bearer <token>.
Query parameters
By providing a cursor you can paginate through all of the messages in the DLQ
Filter DLQ messages by message ID
Filter DLQ messages by destination URL. Supports multiple values.
Filter DLQ messages by URL Group name. Supports multiple values.
Filter DLQ messages by schedule ID. Supports multiple values.
Filter DLQ messages by queue name. Supports multiple values.
Filter DLQ messages by starting date, in milliseconds (Unix timestamp). This is inclusive.
Filter DLQ messages by ending date, in milliseconds (Unix timestamp). This is inclusive.
Filter DLQ messages by HTTP response status code of the last delivery attempt. Supports multiple values.
Filter DLQ messages by IP address of the publisher. Supports multiple values.
Filter DLQ messages by label. Supports multiple values. You can pass multiple values to match messages with any of the given labels (OR logic).
Examples:
label=my_labellabel=label_1&label=label_2label=label_1,label_2
The number of messages to return.
Response
200 — List of DLQ messages
A cursor which you can use in subsequent requests to paginate through all messages. If no cursor is returned, you have reached the end of the messages.